### Function

# FwupdPlugin lid_state_to_string

since: 1.7.4

#### Declaration [src]

    const gchar*
    fu_lid_state_to_string (
      FuLidState val
    )

#### Description [src]

Converts an enumerated value to a string.

Available since: 1.7.4

#### Parameters

`val`

  Type: `FuLidState`

  Value, e.g. `FU_LID_STATE_OPEN`.

#### Return value

Type: `const gchar*`

Identifier string.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.